package com.gh.gamecenter.subject

import com.gh.gamecenter.entity.SubjectSettingEntity
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.retrofit.RetrofitManager
import com.gh.gamecenter.retrofit.service.ApiService
import io.reactivex.Observable
import io.reactivex.Single

class SubjectListRepository(
    private val api: ApiService = RetrofitManager.getInstance().api,
) : ISubjectListRepository {

    override fun getColumn(
        column_id: String?,
        page: Int,
        sort: String?,
        order: String?,
        ad: String?,
        columnCollectionId: String?,
        minimumSize: Int,
        onlyFee: Boolean,
    ): Single<MutableList<GameEntity>> {
        return api.getColumn(column_id, sort, order, ad, columnCollectionId, page)
    }

    override fun getColumnSettings(column_id: String?): Observable<SubjectSettingEntity> {
        return api.getColumnSettings(column_id)
    }


}